Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Interface CMP

public interface CMP

Defines values needed by users of CMP and CRMF.

Nested Class Summary
`static class` | `CMP.OIDRegistrar` Mechanism to register, at class load time, CMP-specific OIDs (e.g., extension types) in the OIDManager.

Field Summary
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it` PKIX OID Info Type OID prefix.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_CAKeyUpdateInfo`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_CAProtEncCert`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_ConfirmWaitTime`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_CurrentCRL`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_EncKeyPairTypes`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_ImplicitConfirm`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_KeyPairParamRep`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_KeyPairParamReq`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_OrigPKIMessage`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_PreferredSymmAlg`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_RevPassphrase`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_SignKeyPairTypes`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_it_UnsupportedOIDs`
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_pkip` The PKIP Internet X.509 PKI protocols OID prefix.
`static int[]` | `id_pkix` The PKIX OID prefix.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl` The CRMF registration Control OID prefix.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_altCertTemplate` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_authenticator` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_olderCertID` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_pkiArchiveOptions` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_pkiPublicationInfo` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_protocolEncrKey` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regCtrl_regToken` A CRMF registration control.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regInfo` CRMF registration info OID prefix
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regInfo_asciiPairs` A CRMF registration info attribute type.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regInfo_certReq` A CRMF registration info attribute type.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_regInfo_utf8Pairs`

Field Detail

### id_pkix

    public static final int[] id_pkix

  The PKIX OID prefix.

### id_pkip

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_pkip

  The PKIP Internet X.509 PKI protocols OID prefix.

### id_regCtrl

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl

  The CRMF registration Control OID prefix.

### id_regCtrl_regToken

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_regToken

  A CRMF registration control.

### id_regCtrl_authenticator

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_authenticator

  A CRMF registration control.

### id_regCtrl_pkiPublicationInfo

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_pkiPublicationInfo

  A CRMF registration control.

### id_regCtrl_pkiArchiveOptions

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_pkiArchiveOptions

  A CRMF registration control.

### id_regCtrl_olderCertID

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_olderCertID

  A CRMF registration control.

### id_regCtrl_protocolEncrKey

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_protocolEncrKey

  A CRMF registration control.

### id_regCtrl_altCertTemplate

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regCtrl_altCertTemplate

  A CRMF registration control.

### id_regInfo

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regInfo

  CRMF registration info OID prefix

### id_regInfo_asciiPairs

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regInfo_asciiPairs

  A CRMF registration info attribute type.

### id_regInfo_utf8Pairs

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regInfo_utf8Pairs

### id_regInfo_certReq

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_regInfo_certReq

  A CRMF registration info attribute type.

### id_it

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it

  PKIX OID Info Type OID prefix.

### id_it_CAProtEncCert

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_CAProtEncCert

### id_it_SignKeyPairTypes

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_SignKeyPairTypes

### id_it_EncKeyPairTypes

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_EncKeyPairTypes

### id_it_PreferredSymmAlg

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_PreferredSymmAlg

### id_it_CAKeyUpdateInfo

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_CAKeyUpdateInfo

### id_it_CurrentCRL

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_CurrentCRL

### id_it_UnsupportedOIDs

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_UnsupportedOIDs

### id_it_KeyPairParamReq

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_KeyPairParamReq

### id_it_KeyPairParamRep

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_KeyPairParamRep

### id_it_RevPassphrase

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_RevPassphrase

### id_it_ImplicitConfirm

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_ImplicitConfirm

### id_it_ConfirmWaitTime

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_ConfirmWaitTime

### id_it_OrigPKIMessage

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_it_OrigPKIMessage

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.